#----------------------------------------------------------
# lib.m4: M4 macros to help in creating uniform webpages 
# (C) 2002 M.Andreoli, for the muLinux site
#----------------------------------------------------------

divert(-1)

changequote({, })dnl


#--------------------
# CONFIGURATION 
#--------------------

define(VERSION,13r2)dnl
define(CURRENT,current)dnl
define(CODENAME,{})dnl
define(HR_WIDTH,90%)dnl
define(MENU_WIDTH,15%)dnl
define(RIGHT_WIDTH,5%)dnl

define(MENU_BG,"lightsteelblue")dnl
define(RIGHT_BG,"lightsteelblue")dnl

define(INSTALL_DIR,/root/mulinux)dnl

#--------------------
# FUNCTIONS 
#--------------------


# usage PAGE_START(title)

define(PAGE_START,
{
<html>
<head>
<title>MuLinux Home Site: $1</title>
   <meta name="Author" content="Michele Andreoli">
   <meta http-equiv="Content-Type" content="text/html">
</head>
<body bgcolor=white background=mu/img/muro.gif>
<table>
<tr align=top>
<td width=MENU_WIDTH> <img src=mu/img/mulinux5.gif> </td>
<td>
<font size=+2>$1</font> 
</td>


<td align=right>
<img src=mu/img/penguin.gif width=80>
</td>
</table>
}
)

define(PAGE_END,
{
<p align=right>
<a href="index.html">HOME</a>
</p>
<hr width=HR_WIDTH>
<table>

<td align=left>
<!-- Start of TheCounter.com Code -->
<SCRIPT TYPE="text/javascript" LANGUAGE="javascript">
s="na";c="na";j="na";f=""+escape(document.referrer)
</SCRIPT>
<SCRIPT TYPE="text/javascript" LANGUAGE="javascript1.2">
s=screen.width;v=navigator.appName
if (v != "Netscape") {c=screen.colorDepth}
else {c=screen.pixelDepth}
j=navigator.javaEnabled()
</SCRIPT>
<A HREF="http://www.TheCounter.com" TARGET="_top"><IMG BORDER=0 SRC="http://c1.thecounter.com/id=702979&size=800&colors=8&referer=&java=true"></A>
</td>

<td width="80%">
<center>
<font face=italic size=-1>
Last update: syscmd({date +"%e %b %Y"})
<br>WARNING, FRACTURED ENGLISH INSIDE!
</font>
<center>
</td>


<td>
<img src=mu/img/vim.png>
</td>
<td>
<img src=mu/img/linux95.jpg width=80>
</td>
<td>
<img src=mu/img/gnu.jpg width=80>
</td>
<td>
<img src=mu/img/mulinux3.gif>
</td>

</table>



</body>
</html>
}
)


# usage PAGE(left, right)

define(PAGE,dnl
<hr width=HR_WIDTH>
<table width=100% border=0 cellspacing=10 cellpadding=0>
<tr align=top>

<td align=left valign=top bgcolor=MENU_BG width=MENU_WIDTH>
$1
</td>
<td valign=top width=70%>
$2
</td>
<td bgcolor=RIGHT_BG width=RIGHT_WIDTH>
include(right.html)
</td>

</tr>
</table>
)


define(MENU_START,dnl
<table cellspacing=0 border=0>
<th></th>
)
define(MENU_END,dnl
</table>
)


# usage MENU(string)

define(MENU,dnl
<tr>
<td> <b>$1</b> </td>
</tr>
)

# usage ITEM(title, url)
define(ITEM,dnl
<tr>
<td>
<font size=-1>
&nbsp <img src="mu/img/ball.gif" width=10> <a href="$2">$1</a>
</font>
</td>
</tr>
)

# Format

define(H1,dnl
<p>
<TABLE border="0" width=100%>
<TR>
  <TD bgcolor="DarkOrange">
    <FONT face="System" color="#ffffff" size="+1"> &nbsp $1</FONT>
  </TD>
</TR>
</TABLE>
<p>
)


divert
