#!/bin/sh

#set -x
# m4->html translation
# M. Andreoli, 99


DIRECTORY_LIST="mulinux"

make_html()
{
list=`/bin/ls *.m4 2>/dev/null`
for f in $list
do
echo "process $f"
base=`basename $f .m4`
m4 ../lib.m4 ${base}.m4 > ${base}.html 
done

}

for x in ${DIRECTORY_LIST}
do
echo "--> Directory: $x"
cd $x; make_html; cd ..
done
